tigase.cluster.repo

## Class ClConSQLRepository

- java.lang.Object
- - tigase.db.comp.ConfigRepository<ClusterRepoItem>
  - - tigase.cluster.repo.ClConConfigRepository
    - - tigase.cluster.repo.ClConSQLRepository

- All Implemented Interfaces:
    Iterable<ClusterRepoItem>, ClusterRepoConstants, ComponentRepository<ClusterRepoItem>

      public class ClConSQLRepository
      extends ClConConfigRepository
      implements ClusterRepoConstants

  Class description
  Version:
    5.2.0, 13/03/09
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.cluster.repo.ClConConfigRepository

      `AUTORELOAD_INTERVAL_PROP_KEY, AUTORELOAD_INTERVAL_PROP_VAL`

    - ### Fields inherited from class tigase.db.comp.ConfigRepository

      `items`

    - ### Fields inherited from interface tigase.cluster.repo.ClusterRepoConstants

      `CPU_USAGE_COLUMN, HOSTNAME_COLUMN, LASTUPDATE_COLUMN, MEM_USAGE_COLUMN, PASSWORD_COLUMN, PORT_COLUMN, REPO_URI_PROP_KEY, TABLE_NAME`

    - ### Fields inherited from interface tigase.db.comp.ComponentRepository

      `COMP_REPO_BIND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClConSQLRepository()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getDefaults(Map<String,Object> defs, Map<String,Object> params)` Method description
    `void` | `initRepository(String conn_str, Map<String,String> params)` Method description
    `void` | `reload()` Method description
    `void` | `setProperties(Map<String,Object> properties)` Method description
    `void` | `store()` Method description
    `void` | `storeItem(ClusterRepoItem item)` Method description

    - ### Methods inherited from class tigase.cluster.repo.ClConConfigRepository

      `getConfigKey, getDefaultPropetyItems, getItemInstance, getPropertyKey, itemChanged, itemLoaded`

    - ### Methods inherited from class tigase.db.comp.ConfigRepository

      `addItem, addRepoChangeListener, allItems, contains, getItem, iterator, removeItem, removeRepoChangeListener, setAutoloadTimer, size, toString, validateItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClConSQLRepository

          public ClConSQLRepository()

  - ### Method Detail

    - #### getDefaults

          public void getDefaults(Map<String,Object> defs,
                         Map<String,Object> params)

      Method description
      Specified by:
        `getDefaults` in interface `ComponentRepository<ClusterRepoItem>`
      Overrides:
        `getDefaults` in class `ClConConfigRepository`
      Parameters:
        `defs` -
        `params` -

    - #### initRepository

          public void initRepository(String conn_str,
                            Map<String,String> params)
                              throws SQLException

      Method description
      Parameters:
        `conn_str` -
        `params` -
      Throws:
        `SQLException`

    - #### storeItem

          public void storeItem(ClusterRepoItem item)

      Method description
      Overrides:
        `storeItem` in class `ClConConfigRepository`
      Parameters:
        `item` -

    - #### reload

          public void reload()

      Method description
      Specified by:
        `reload` in interface `ComponentRepository<ClusterRepoItem>`
      Overrides:
        `reload` in class `ClConConfigRepository`

    - #### setProperties

          public void setProperties(Map<String,Object> properties)

      Method description
      Specified by:
        `setProperties` in interface `ComponentRepository<ClusterRepoItem>`
      Overrides:
        `setProperties` in class `ClConConfigRepository`
      Parameters:
        `properties` -

    - #### store

          public void store()

      Method description
      Specified by:
        `store` in interface `ComponentRepository<ClusterRepoItem>`
      Overrides:
        `store` in class `ConfigRepository<ClusterRepoItem>`

Copyright © 2014 "Tigase, Inc.". All rights reserved.